Package org.apache.nutch.fetcher

# Enum Class FetcherThreadEvent.PublishEventType

java.lang.Object
java.lang.Enum<FetcherThreadEvent.PublishEventType>
org.apache.nutch.fetcher.FetcherThreadEvent.PublishEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<FetcherThreadEvent.PublishEventType>`, `Constable`

Enclosing class:
  FetcherThreadEvent

public static enum FetcherThreadEvent.PublishEventType extends Enum<FetcherThreadEvent.PublishEventType>
Type of event to specify start, end or reporting of a fetch item.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `END`
  `REPORT`
  `START`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FetcherThreadEvent.PublishEventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FetcherThreadEvent.PublishEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START

    public static final FetcherThreadEvent.PublishEventType START

  - ### END

    public static final FetcherThreadEvent.PublishEventType END

  - ### REPORT

    public static final FetcherThreadEvent.PublishEventType REPORT

- ## Method Details

  - ### values

    public static FetcherThreadEvent.PublishEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FetcherThreadEvent.PublishEventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null